• Welcome to Simple Machines Community Forum. Please login or sign up.
September 20, 2021, 03:48:47 PM

News:

SMF 2.1 RC4 has been released! Try it out and help us test! :) Read more.


SMF 2.0.18 veröffentlicht

Started by m4z, February 04, 2021, 04:44:45 PM

Previous topic - Next topic

m4z

Liebe Mitglieder,

Simple Machines freut sich, einen neuen Patch der 2.0.x-Reihe von SMF bekanntzugeben, der die Version auf 2.0.18 schubst.

Der Patch konzentriert sich auf Support für PHP 7.4 sowie andere Probleme, die in vorigen Versionen gefunden wurden, wie z. B.

  • Nach Akzeptieren der Datenschutzerklärung fehlte id_member
  • Vermeide Trunkierung von Settings.php bis die Datei gesperrt ist
  • Verschärfe Sicherheits-Checks, synchronisiere mit 2.1
  • Übernahme der UTF16-zu-UTF8-Logik von 2.1
  • Füge immer die E-Mail-Adresse ein, wenn ein Benutzer seine eigenen Profildaten herunterlädt
  • Korrigiere fehlende Informationen, die das Protokollieren neuer Registrierungen beeinträchtigt haben
  • Korrigiere Fehler mit Multi-Versions-Sprüngen (via CLI), bei denen die Einstellungen nicht erneuert wurden
  • Verwende standardmäßig utf8


Für weitere Informationen siehe das (englische) Changelog.


Falls du aktuell Version 2.0.17 verwendest, kannst du das Update über die Paketverwaltung durchführen; du solltest eine Benachrichtigung über das Update in deinem Administrationsbereich sehen. Falls nicht, führe bitte die geplante Aufgabe "Simple-Machines-Dateien herunterladen" auf der Seite "Geplante Aufgaben" aus (Administration > Wartung > Geplante Aufgaben). Falls du dein Forum von einer älteren Version aus updaten möchtest, gehst du genauso vor, führst aber nacheinander die einzelnen Patches der jeweils nächsten Version aus, bis du 2.0.18 erreichst.


Falls du eine ältere Version von SMF verwendest, kannst du direkt auf 2.0.18 upgraden, egal auf welcher Version du dich gerade befindest, indem du das "Large Upgrade"-Paket von der Download-Seite verwendest. Beachte, dass du bei dieser Upgrade-Methode alle Anpassungen an deinem Forum reinstallieren musst, daher wird empfohlen, die aufeinanderfolgenden Patches statt des "Large Upgrade" zu verwenden, falls du eine Version aus der 2.0.x-Reihe verwendest.

Falls du Probleme hast, den Patch über das Admin-Center herunterzuladen, kannst du das Patch-Paket von der "Package Manager Updates"-Seite herunterladen und es über die Paketverwaltung installieren wie jedes andere Mod-Paket.

Bitte nutze das (englische) Online Manual für mehr Details zu Patching und Upgrading.



Abschließend, wie immer, bitte verwende diesen Thread nicht für Support-Anfragen. Du wirst wesentlich schnellere und bessere Antworten erhalten, wenn du diese stattdessen im (englischen) 2.0.x-Support-Board oder hier im deutschen Hilfe-Board stellst.

Danke, dass du SMF verwendest!

Grüße
Simple Machines


(Englischer) Originalthread
"Faith is what you have in things that don't exist."
--Homer Simpson

Es gibt hier im Forum ein deutsches Support-Board!
<werbung>Meine Freundin hat ihr erstes Buch veröffentlicht!</werbung>

Advertisement: